Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class AccessControlEntryDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.SystemObjectDefinition
              oracle.ifs.beans.AccessControlEntryDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class AccessControlEntryDefinition

extends SystemObjectDefinition

The `AccessControlEntryDefinition` class is used to construct an AccessControlEntry object. An AccessControlEntry (ACE) object is always associated with a single AccessControlList object.

Most of the specifications of an ACE are set using specific methods introduced in this class, as opposed to using the `setAttribute()` method inherited from LibraryObjectDefinition. The specifications that must be set with explicit methods on this class are:

- setAccessLevel - sets the AccessLevel for this ACE, which encapsulates both the standard and extended Permissions.
- setGrantee - specifies the receiver of the grant or revoke defined by this object.
- enableGrantToWorld - specifies the grantee for this grant or revoke as the World group (i.e. all users).
- setInsertBeforeAccessControlEntry- specifies the ACE that this new ACE should be inserted before.
- setInsertAfterAccessControlEntry- specifies the ACE that this new ACE should be * inserted after.

See Also:
  `AccessLevel`, `SystemObjectDefinition`, `AccessControlEntry`, `AccessControlList`, `AccessControlListDefinition`, Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`AccessControlEntryDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`AccessControlEntryDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`void` | `addPermissionBundle(PermissionBundle pb)` Deprecated. CM SDK 10gR2: use addPermissionBundles(AttributeValue)
`void` | `addPermissionBundles(AttributeValue av)` Adds a set of permission bundles to the definition.
`void` | `addPermissionBundles(PermissionBundle[] pbs)` Deprecated. CM SDK 10gR2: use addPermissionBundlesValue(AttributeValue)
`void` | `enableGrantToWorld(boolean flag)` Set the 'WORLD' group as the grantee of the ACE being created.
`AccessLevel` | `getDistinctAccessLevel()` get the AccessLevel to be associated with this instance of ACE without permission bundles.
`DirectoryObject` | `getGrantee()` Deprecated. CM SDK 10gR2: use getGranteeValue()
`AttributeValue` | `getGranteeValue()` Returns the grantee value to be associated with this definition.
`AccessControlEntry` | `getInsertAfterAccessControlEntry()` Deprecated. CM SDK 10gR2: use getInsertAfterAccessControlEntryValue()
`AttributeValue` | `getInsertAfterAccessControlEntryValue()` Returns the reference ACE set using setInsertAfterAccessControlEntryValue.
`AccessControlEntry` | `getInsertBeforeAccessControlEntry()` Deprecated. CM SDK 10gR2: use getInsertBeforeAccessControlEntryValue()
`AttributeValue` | `getInsertBeforeAccessControlEntryValue()` Returns the reference ACE set using setInsertBeforeAccessControlEntryValue.
`AccessLevel` | `getMergedAccessLevel()` get the AccessLevel to be associated with this instance of ACE with permission bundles.
`PermissionBundle[]` | `getPermissionBundles()` Deprecated. CM SDK 10gR2: use getPermissionBundlesValue()
`AttributeValue` | `getPermissionBundlesValue()` Returns set of PermissionBundles that are specified.
`java.lang.Boolean` | `isGranted()` Returns the indication as to whether this ACE is a grant or revoke ACE.
`void` | `removePermissionBundles()` Removes all permission bundles specifications from this instance.
`void` | `setDistinctAccessLevel(AccessLevel level)` Set the AccessLevel to be associated with this instance of ACE before permission bundles are accounted for.
`void` | `setGranted(boolean granted)` Set the indication as to whether this ACE is a grant or revoke ACE.
`void` | `setGrantee(DirectoryObject dirobject)` Deprecated. CM SDK 10gR2: use setGranteeValue()
`void` | `setGranteeValue(AttributeValue dirobject)` Set the grantee to be associated with this ACE.
`void` | `setInsertAfterAccessControlEntry(AccessControlEntry ace)` Deprecated. CM SDK 10gR2: use setInsertAfterAccessControlEntryValue()
`void` | `setInsertAfterAccessControlEntryValue(AttributeValue av)` Set a reference ACE, so that the new ACE has a sort sequence greater than the reference ACE.
`void` | `setInsertBeforeAccessControlEntry(AccessControlEntry ace)` Deprecated. CM SDK 10gR2: use setInsertBeforeAccessControlEntryValue()
`void` | `setInsertBeforeAccessControlEntryValue(AttributeValue av)` Set a reference ACE, so that the new ACE has a sort sequence less than the reference ACE.
`void` | `setPermissionBundlesValue(AttributeValue av)` Defines a set of permission bundles to the definition.

Methods inherited from class oracle.ifs.beans.SystemObjectDefinition
`addCategoryDefinition, addCategoryDefinitionForUpdate, addCategoryDefinitions, addCategoryForDelete, getCategoriesForDelete, getCategoryDefinitions, getCategoryDefinitionsForUpdate, getCreateCategoriesServerSideOption, removeCategoriesForDelete, removeCategoryDefinitions, removeCategoryDefinitionsForUpdate, setCategoryDefinitions, setCreateCategoriesServerSideOption, toSystemObjectDefinition, toSystemObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessControlEntryDefinition

    public AccessControlEntryDefinition(LibrarySessionInterface session)
                                 throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be AccessControlEntry.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### AccessControlEntryDefinition

    public AccessControlEntryDefinition(LibrarySessionInterface session,
                                        java.lang.String className)
                                 throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setDistinctAccessLevel

    public void setDistinctAccessLevel(AccessLevel level)
                                throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  Set the AccessLevel to be associated with this instance of ACE before permission bundles are accounted for.

  Parameters:
    `level` - An AccessLevel object that defines the access level.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDistinctAccessLevel

    public AccessLevel getDistinctAccessLevel()
                                       throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  get the AccessLevel to be associated with this instance of ACE without permission bundles.

  Returns:
    An AccessLevel object that defines the access level without permission bundles.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getMergedAccessLevel

    public AccessLevel getMergedAccessLevel()
                                     throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  get the AccessLevel to be associated with this instance of ACE with permission bundles.

  Returns:
    An AccessLevel object that defines the complete access level of this ace.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addPermissionBundle

    public void addPermissionBundle(PermissionBundle pb)
                             throws IfsException

  Deprecated. CM SDK 10gR2: use addPermissionBundles(AttributeValue)

  Description copied from class: `AccessControlEntryDefinition`
  Add a permission bundle to this definition.

  Parameters:
    `pb` - permission bundle to be added.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addPermissionBundles

    public void addPermissionBundles(PermissionBundle[] pbs)
                              throws IfsException

  Deprecated. CM SDK 10gR2: use addPermissionBundlesValue(AttributeValue)

  Description copied from class: `AccessControlEntryDefinition`
  Add AccessLevel using a set of permission bundles;

  Parameters:
    `pbs` - array of permission bundles.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### addPermissionBundles

    public void addPermissionBundles(AttributeValue av)
                              throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  Adds a set of permission bundles to the definition. All specified permission bundles will be added to the current set of definitions held by this instance.

  Parameters:
    `av` - the value representing a single PermissionBundle or an array of PermissionBundles
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setPermissionBundlesValue

    public void setPermissionBundlesValue(AttributeValue av)
                                   throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  Defines a set of permission bundles to the definition. All previously specified permission bundles will be removed, prior to adding this set to the instance.

  Parameters:
    `av` - the value representing the array of permission bundles.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### removePermissionBundles

    public void removePermissionBundles()
                                 throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  Removes all permission bundles specifications from this instance.

  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getPermissionBundles

    public PermissionBundle[] getPermissionBundles()
                                            throws IfsException

  Deprecated. CM SDK 10gR2: use getPermissionBundlesValue()

  Description copied from class: `AccessControlEntryDefinition`
  Returns set of PermissionBundles that are specified.

  Returns:
    set of PermissionBundles currently set. Will return a null array if no PermissionBundles have been specified.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getPermissionBundlesValue

    public AttributeValue getPermissionBundlesValue()
                                             throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  Returns set of PermissionBundles that are specified.

  Returns:
    set of PermissionBundles currently set. Will return a null array if no PermissionBundles have been specified.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setGrantee

    public void setGrantee(DirectoryObject dirobject)
                    throws IfsException

  Deprecated. CM SDK 10gR2: use setGranteeValue()

  Description copied from class: `AccessControlEntryDefinition`
  Set the grantee to be associated with this ACE.

  Parameters:
    `dirobject` - The directory object to be associated with this instance.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setGranteeValue

    public void setGranteeValue(AttributeValue dirobject)
                         throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  Set the grantee to be associated with this ACE.

  Parameters:
    `dirobject` - The directory object to be associated with this instance.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getGrantee

    public DirectoryObject getGrantee()
                               throws IfsException

  Deprecated. CM SDK 10gR2: use getGranteeValue()

  Description copied from class: `AccessControlEntryDefinition`
  Returns the grantee to be associated with this definition.

  Returns:
    The directory object to be associated with this instance.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getGranteeValue

    public AttributeValue getGranteeValue()
                                   throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  Returns the grantee value to be associated with this definition.

  Returns:
    The directory object value to be associated with this instance.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### enableGrantToWorld

    public void enableGrantToWorld(boolean flag)
                            throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  Set the 'WORLD' group as the grantee of the ACE being created.

  Parameters:
    `flag` - if set to true, WORLD will become the grantee.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setInsertAfterAccessControlEntry

    public void setInsertAfterAccessControlEntry(AccessControlEntry ace)
                                          throws IfsException

  Deprecated. CM SDK 10gR2: use setInsertAfterAccessControlEntryValue()

  Description copied from class: `AccessControlEntryDefinition`
  Set a reference ACE, so that the new ACE has a sort sequence greater than the reference ACE. This makes sure that the new ACE will appear after the reference ACE in the ACL.

  Parameters:
    `ace` - the reference AccessControlEntry.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setInsertAfterAccessControlEntryValue

    public void setInsertAfterAccessControlEntryValue(AttributeValue av)
                                               throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  Set a reference ACE, so that the new ACE has a sort sequence greater than the reference ACE. This makes sure that the new ACE will appear after the reference ACE in the ACL.

  Parameters:
    `av` - the value of the reference AccessControlEntry.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getInsertAfterAccessControlEntry

    public AccessControlEntry getInsertAfterAccessControlEntry()
                                                        throws IfsException

  Deprecated. CM SDK 10gR2: use getInsertAfterAccessControlEntryValue()

  Description copied from class: `AccessControlEntryDefinition`
  Returns the reference ACE set using setInsertAfterAccessControlEntryValue.

  Returns:
    ACE set using setInsertAfterAccessControlEntry.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getInsertAfterAccessControlEntryValue

    public AttributeValue getInsertAfterAccessControlEntryValue()
                                                         throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  Returns the reference ACE set using setInsertAfterAccessControlEntryValue.

  Returns:
    ACE set using setInsertAfterAccessControlEntry.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setInsertBeforeAccessControlEntry

    public void setInsertBeforeAccessControlEntry(AccessControlEntry ace)
                                           throws IfsException

  Deprecated. CM SDK 10gR2: use setInsertBeforeAccessControlEntryValue()

  Description copied from class: `AccessControlEntryDefinition`
  Set a reference ACE, so that the new ACE has a sort sequence less than the reference ACE. This makes sure that the new ACE will appear before the reference ACE in the ACL.

  Parameters:
    `ace` - the reference AccessControlEntry.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setInsertBeforeAccessControlEntryValue

    public void setInsertBeforeAccessControlEntryValue(AttributeValue av)
                                                throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  Set a reference ACE, so that the new ACE has a sort sequence less than the reference ACE. This makes sure that the new ACE will appear before the reference ACE in the ACL.

  Parameters:
    `av` - the value of the reference AccessControlEntry.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getInsertBeforeAccessControlEntry

    public AccessControlEntry getInsertBeforeAccessControlEntry()
                                                         throws IfsException

  Deprecated. CM SDK 10gR2: use getInsertBeforeAccessControlEntryValue()

  Description copied from class: `AccessControlEntryDefinition`
  Returns the reference ACE set using setInsertBeforeAccessControlEntryValue.

  Returns:
    ACE set using setInsertBeforeAccessControlEntryValue.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getInsertBeforeAccessControlEntryValue

    public AttributeValue getInsertBeforeAccessControlEntryValue()
                                                          throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  Returns the reference ACE set using setInsertBeforeAccessControlEntryValue.

  Returns:
    ACE set using setInsertBeforeAccessControlEntry.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setGranted

    public void setGranted(boolean granted)
                    throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  Set the indication as to whether this ACE is a grant or revoke ACE.

  Parameters:
    `granted` - the indication as to whether this ACE is a grant or revoke ACE
  Throws:
    `IfsException` - if operation fails.
  (Published)

### isGranted

    public java.lang.Boolean isGranted()
                                throws IfsException

  Description copied from class: `AccessControlEntryDefinition`
  Returns the indication as to whether this ACE is a grant or revoke ACE.

  Returns:
    the indication as to whether this ACE is a grant or revoke ACE; returns null if no indication has been made
  Throws:
    `IfsException` - if operation fails.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD